Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface FilterQueryResultType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  FilterQueryResultTypeImpl

    public interface FilterQueryResultType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Filter Query Result Type'.

The following features are supported:

- `Registry Object Query Result`
- `Registry Entry Query Result`
- `Association Query Result`
- `Auditable Event Query Result`
- `Classification Query Result`
- `Classification Node Query Result`
- `Classification Scheme Query Result`
- `Registry Package Query Result`
- `Extrinsic Object Query Result`
- `Organization Query Result`
- `Service Query Result`

See Also:
  `QueryPackage.getFilterQueryResultType()`

Method Summary
`AssociationQueryResultType` | `getAssociationQueryResult()` Returns the value of the 'Association Query Result' containment reference.
`AuditableEventQueryResultType` | `getAuditableEventQueryResult()` Returns the value of the 'Auditable Event Query Result' containment reference.
`ClassificationNodeQueryResultType` | `getClassificationNodeQueryResult()` Returns the value of the 'Classification Node Query Result' containment reference.
`ClassificationQueryResultType` | `getClassificationQueryResult()` Returns the value of the 'Classification Query Result' containment reference.
`ClassificationSchemeQueryResultType` | `getClassificationSchemeQueryResult()` Returns the value of the 'Classification Scheme Query Result' containment reference.
`ExtrinsicObjectQueryResultType` | `getExtrinsicObjectQueryResult()` Returns the value of the 'Extrinsic Object Query Result' containment reference.
`OrganizationQueryResultType` | `getOrganizationQueryResult()` Returns the value of the 'Organization Query Result' containment reference.
`RegistryEntryQueryResultType` | `getRegistryEntryQueryResult()` Returns the value of the 'Registry Entry Query Result' containment reference.
`RegistryObjectListType` | `getRegistryObjectQueryResult()` Returns the value of the 'Registry Object Query Result' containment reference.
`RegistryPackageQueryResultType` | `getRegistryPackageQueryResult()` Returns the value of the 'Registry Package Query Result' containment reference.
`ServiceQueryResultType` | `getServiceQueryResult()` Returns the value of the 'Service Query Result' containment reference.
`void` | `setAssociationQueryResult(AssociationQueryResultType value)` Sets the value of the '`Association Query Result`' containment reference.
`void` | `setAuditableEventQueryResult(AuditableEventQueryResultType value)` Sets the value of the '`Auditable Event Query Result`' containment reference.
`void` | `setClassificationNodeQueryResult(ClassificationNodeQueryResultType value)` Sets the value of the '`Classification Node Query Result`' containment reference.
`void` | `setClassificationQueryResult(ClassificationQueryResultType value)` Sets the value of the '`Classification Query Result`' containment reference.
`void` | `setClassificationSchemeQueryResult(ClassificationSchemeQueryResultType value)` Sets the value of the '`Classification Scheme Query Result`' containment reference.
`void` | `setExtrinsicObjectQueryResult(ExtrinsicObjectQueryResultType value)` Sets the value of the '`Extrinsic Object Query Result`' containment reference.
`void` | `setOrganizationQueryResult(OrganizationQueryResultType value)` Sets the value of the '`Organization Query Result`' containment reference.
`void` | `setRegistryEntryQueryResult(RegistryEntryQueryResultType value)` Sets the value of the '`Registry Entry Query Result`' containment reference.
`void` | `setRegistryObjectQueryResult(RegistryObjectListType value)` Sets the value of the '`Registry Object Query Result`' containment reference.
`void` | `setRegistryPackageQueryResult(RegistryPackageQueryResultType value)` Sets the value of the '`Registry Package Query Result`' containment reference.
`void` | `setServiceQueryResult(ServiceQueryResultType value)` Sets the value of the '`Service Query Result`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRegistryObjectQueryResult

    RegistryObjectListType getRegistryObjectQueryResult()

  Returns the value of the 'Registry Object Query Result' containment reference.

  If the meaning of the 'Registry Object Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Object Query Result' containment reference.
  See Also:
    `setRegistryObjectQueryResult(RegistryObjectListType)`, `QueryPackage.getFilterQueryResultType_RegistryObjectQueryResult()`

### setRegistryObjectQueryResult

    void setRegistryObjectQueryResult(RegistryObjectListType value)

  Sets the value of the '`Registry Object Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Object Query Result' containment reference.
  See Also:
    `getRegistryObjectQueryResult()`

### getRegistryEntryQueryResult

    RegistryEntryQueryResultType getRegistryEntryQueryResult()

  Returns the value of the 'Registry Entry Query Result' containment reference.

  If the meaning of the 'Registry Entry Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Entry Query Result' containment reference.
  See Also:
    `setRegistryEntryQueryResult(RegistryEntryQueryResultType)`, `QueryPackage.getFilterQueryResultType_RegistryEntryQueryResult()`

### setRegistryEntryQueryResult

    void setRegistryEntryQueryResult(RegistryEntryQueryResultType value)

  Sets the value of the '`Registry Entry Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Entry Query Result' containment reference.
  See Also:
    `getRegistryEntryQueryResult()`

### getAssociationQueryResult

    AssociationQueryResultType getAssociationQueryResult()

  Returns the value of the 'Association Query Result' containment reference.

  If the meaning of the 'Association Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Association Query Result' containment reference.
  See Also:
    `setAssociationQueryResult(AssociationQueryResultType)`, `QueryPackage.getFilterQueryResultType_AssociationQueryResult()`

### setAssociationQueryResult

    void setAssociationQueryResult(AssociationQueryResultType value)

  Sets the value of the '`Association Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Association Query Result' containment reference.
  See Also:
    `getAssociationQueryResult()`

### getAuditableEventQueryResult

    AuditableEventQueryResultType getAuditableEventQueryResult()

  Returns the value of the 'Auditable Event Query Result' containment reference.

  If the meaning of the 'Auditable Event Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Auditable Event Query Result' containment reference.
  See Also:
    `setAuditableEventQueryResult(AuditableEventQueryResultType)`, `QueryPackage.getFilterQueryResultType_AuditableEventQueryResult()`

### setAuditableEventQueryResult

    void setAuditableEventQueryResult(AuditableEventQueryResultType value)

  Sets the value of the '`Auditable Event Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Auditable Event Query Result' containment reference.
  See Also:
    `getAuditableEventQueryResult()`

### getClassificationQueryResult

    ClassificationQueryResultType getClassificationQueryResult()

  Returns the value of the 'Classification Query Result' containment reference.

  If the meaning of the 'Classification Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Query Result' containment reference.
  See Also:
    `setClassificationQueryResult(ClassificationQueryResultType)`, `QueryPackage.getFilterQueryResultType_ClassificationQueryResult()`

### setClassificationQueryResult

    void setClassificationQueryResult(ClassificationQueryResultType value)

  Sets the value of the '`Classification Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Query Result' containment reference.
  See Also:
    `getClassificationQueryResult()`

### getClassificationNodeQueryResult

    ClassificationNodeQueryResultType getClassificationNodeQueryResult()

  Returns the value of the 'Classification Node Query Result' containment reference.

  If the meaning of the 'Classification Node Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Node Query Result' containment reference.
  See Also:
    `setClassificationNodeQueryResult(ClassificationNodeQueryResultType)`, `QueryPackage.getFilterQueryResultType_ClassificationNodeQueryResult()`

### setClassificationNodeQueryResult

    void setClassificationNodeQueryResult(ClassificationNodeQueryResultType value)

  Sets the value of the '`Classification Node Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Node Query Result' containment reference.
  See Also:
    `getClassificationNodeQueryResult()`

### getClassificationSchemeQueryResult

    ClassificationSchemeQueryResultType getClassificationSchemeQueryResult()

  Returns the value of the 'Classification Scheme Query Result' containment reference.

  If the meaning of the 'Classification Scheme Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Scheme Query Result' containment reference.
  See Also:
    `setClassificationSchemeQueryResult(ClassificationSchemeQueryResultType)`, `QueryPackage.getFilterQueryResultType_ClassificationSchemeQueryResult()`

### setClassificationSchemeQueryResult

    void setClassificationSchemeQueryResult(ClassificationSchemeQueryResultType value)

  Sets the value of the '`Classification Scheme Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Scheme Query Result' containment reference.
  See Also:
    `getClassificationSchemeQueryResult()`

### getRegistryPackageQueryResult

    RegistryPackageQueryResultType getRegistryPackageQueryResult()

  Returns the value of the 'Registry Package Query Result' containment reference.

  If the meaning of the 'Registry Package Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Package Query Result' containment reference.
  See Also:
    `setRegistryPackageQueryResult(RegistryPackageQueryResultType)`, `QueryPackage.getFilterQueryResultType_RegistryPackageQueryResult()`

### setRegistryPackageQueryResult

    void setRegistryPackageQueryResult(RegistryPackageQueryResultType value)

  Sets the value of the '`Registry Package Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Package Query Result' containment reference.
  See Also:
    `getRegistryPackageQueryResult()`

### getExtrinsicObjectQueryResult

    ExtrinsicObjectQueryResultType getExtrinsicObjectQueryResult()

  Returns the value of the 'Extrinsic Object Query Result' containment reference.

  If the meaning of the 'Extrinsic Object Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Extrinsic Object Query Result' containment reference.
  See Also:
    `setExtrinsicObjectQueryResult(ExtrinsicObjectQueryResultType)`, `QueryPackage.getFilterQueryResultType_ExtrinsicObjectQueryResult()`

### setExtrinsicObjectQueryResult

    void setExtrinsicObjectQueryResult(ExtrinsicObjectQueryResultType value)

  Sets the value of the '`Extrinsic Object Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Extrinsic Object Query Result' containment reference.
  See Also:
    `getExtrinsicObjectQueryResult()`

### getOrganizationQueryResult

    OrganizationQueryResultType getOrganizationQueryResult()

  Returns the value of the 'Organization Query Result' containment reference.

  If the meaning of the 'Organization Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Organization Query Result' containment reference.
  See Also:
    `setOrganizationQueryResult(OrganizationQueryResultType)`, `QueryPackage.getFilterQueryResultType_OrganizationQueryResult()`

### setOrganizationQueryResult

    void setOrganizationQueryResult(OrganizationQueryResultType value)

  Sets the value of the '`Organization Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Organization Query Result' containment reference.
  See Also:
    `getOrganizationQueryResult()`

### getServiceQueryResult

    ServiceQueryResultType getServiceQueryResult()

  Returns the value of the 'Service Query Result' containment reference.

  If the meaning of the 'Service Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service Query Result' containment reference.
  See Also:
    `setServiceQueryResult(ServiceQueryResultType)`, `QueryPackage.getFilterQueryResultType_ServiceQueryResult()`

### setServiceQueryResult

    void setServiceQueryResult(ServiceQueryResultType value)

  Sets the value of the '`Service Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Service Query Result' containment reference.
  See Also:
    `getServiceQueryResult()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD